Module jdk.jlink
Package jdk.tools.jlink

## Class Jlink.JlinkConfiguration

- java.lang.Object
- - jdk.tools.jlink.Jlink.JlinkConfiguration

Enclosing class:
  Jlink

    public static final class Jlink.JlinkConfiguration
    extends Object

Jlink configuration. Instances of this class are used to configure jlink.

### Constructor Summary

Constructors
Constructor and Description
`JlinkConfiguration(Path output, List<Path> modulepaths, Set<String> modules, Set<String> limitmods)` jlink configuration,
`JlinkConfiguration(Path output, List<Path> modulepaths, Set<String> modules, Set<String> limitmods, ByteOrder endian)` jlink configuration,

### Method Summary

All Methods Instance Methods Concrete Methods
`ByteOrder` `getByteOrder()`
`Set<String>` `getLimitmods()`
`List<Path>` `getModulepaths()`
`Set<String>` `getModules()`
`Path` `getOutput()`
`String` `toString()` Returns a string representation of the object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### JlinkConfiguration

    public JlinkConfiguration(Path output,
                              List<Path> modulepaths,
                              Set<String> modules,
                              Set<String> limitmods)

jlink configuration,

Parameters:
  `output` - Output directory, must not exist.
  `modulepaths` - Modules paths
  `modules` - Root modules to resolve
  `limitmods` - Limit the universe of observable modules

#### JlinkConfiguration

    public JlinkConfiguration(Path output,
                              List<Path> modulepaths,
                              Set<String> modules,
                              Set<String> limitmods,
                              ByteOrder endian)

jlink configuration,

Parameters:
  `output` - Output directory, must not exist.
  `modulepaths` - Modules paths
  `modules` - Root modules to resolve
  `limitmods` - Limit the universe of observable modules
  `endian` - Jimage byte order. Native order by default

### Method Detail

#### getModulepaths

    public List<Path> getModulepaths()

Returns:
  the modulepaths

#### getByteOrder

    public ByteOrder getByteOrder()

Returns:
  the byte ordering

#### getOutput

    public Path getOutput()

Returns:
  the output

#### getModules

    public Set<String> getModules()

Returns:
  the modules

#### getLimitmods

    public Set<String> getLimitmods()

Returns:
  the limitmods

#### toString

    public String toString()

Description copied from class: `java.lang.Object`
Returns a string representation of the object. In general, the `toString` method returns a string that "textually represents" this object. The result should be a concise but informative representation that is easy for a person to read. It is recommended that all subclasses override this method.

The `toString` method for class `Object` returns a string consisting of the name of the class of which the object is an instance, the at-sign character ``@`', and the unsigned hexadecimal representation of the hash code of the object. In other words, this method returns a string equal to the value of:

>      getClass().getName() + '@' + Integer.toHexString(hashCode())

Overrides:
  `toString` in class `Object`
Returns:
  a string representation of the object.